# Exponential and logarithmic functions

## The natural logarithm 

The natural logarithm is defined as having its derivative equal to $\frac{1}{x}$. For $x > 0$, then

$$
\frac{d}{dx} \ln x = \frac{1}{x}.
$$

### Standard limit

$$
\lim_{h \to 0} \frac{\ln (1+h)}{h} = 1
$$

## The exponential function

The exponential function is defined as the inverse of the natural logarithm

$$
\ln e^x = x.
$$

Furthermore $e$ may be defined by,

$$
\begin{array}{ll}
\lim_{n \to \infty} (1 + \frac{1}{n})^n = e, \\
\lim_{n \to \infty} (1 + \frac{x}{n})^n = e^x.
\end{array}
$$

### Derivative of exponential function

The derivative of $y = e^x$ may be calculated by [implicit differentation](../differentation.md#implicit-differentation):

$$
\begin{array}{ll}
y = e^x &\implies x = \ln y, \\
        &\implies 1 = \frac{1}{y} \frac{dy}{dx}, \\
        &\implies \frac{dy}{dx} = y = e^x.
\end{array}
$$

### Standard limit

$$
\lim_{h \to 0} \frac{e^h - 1}{h} = 1
$$