# Taylor polynomials

For $D \subseteq \mathbb{R}^n$ let $f: D \to \mathbb{R}$ sufficiently often differentiable, we have $\mathbf{a} \in D$. Find a polynomial $T: \mathbb{R}^n \to \mathbb{R}$ such that

$$
    \partial^\beta T(\mathbf{a}) = \partial^\beta f(\mathbf{a}).
$$

Ansatz: let $T(\mathbf{x}) = \sum_{|\alpha| \leq n} c_\alpha (\mathbf{x} - \mathbf{a})^\alpha$. Then

$$
    \partial^\beta T(\mathbf{x}) = \sum_{|\alpha| \leq n,\; \alpha \geq \beta} c_\alpha \frac{\alpha!}{(\alpha - \beta)!} (\mathbf{x} - \mathbf{a})^{\alpha - \beta}.
$$

Choose $\mathbf{x} = \mathbf{a}$: $\partial^\beta T(\mathbf{a}) = c_\beta \beta! = \partial^\beta f(\mathbf{a}) \implies c_\beta = \frac{\partial^\beta f(\mathbf{a})}{\beta!}$. Therefore we obtain

$$
    T(\mathbf{x}) = \sum_{|\alpha| \leq n} \frac{\partial^\alpha f(\mathbf{a})}{\alpha!} (\mathbf{x} - \mathbf{a})^\alpha. 
$$

*Theorem*: suppose $x \in D$ and the line segment $[\mathbf{a},\mathbf{x}]$ lies completely in $D$. Set $\mathbf{h} = \mathbf{x} - \mathbf{a}$. Then there is a $\theta \in (0,1)$ such that

$$
    f(\mathbf{x}) = T(\mathbf{x}) + \frac{1}{(n+1)!} \partial_\mathbf{h}^{n+1} f(\mathbf{a} + \theta \mathbf{h}).
$$

??? note "*Proof*:"

    Apply Taylor’s theorem in 1D and the chain rule to the function $\phi : [0, 1] \to \mathbb{R}$ given by

    $$
        \phi(\theta) := f(\mathbf{a} + \theta \mathbf{h}).
    $$

## Other methods

Creating multivariable Taylor polynomials by using 1D Taylor polynomials of the different variables and composing them. 

### Example