# Diffraction

## Huygens principle

Huygens principle will be used to derive equations for diffraction. 

> *Assumption*: According to Huygens principle each point on the wavefront of an electromagnetic wave acts as a source of secondary wavelets. When summed over an extended unobstructed wavefront the secondary wavelets recreate the next wavefront. It is assumed that this principle is valid as it is consistent with the laws of reflection and refraction.

The following theorem follows from Huygens principle.

> *Law*: the net disturbance $E_P: \mathbb{R} \to \mathbb{R}$ at a perceive point $P$ for a wave travelling from source point $S$ travelling a distance $r' \in \mathbb{R}$ to an aperture opening defined for the points in $D \subseteq \mathbb{R}$ and then travelling a distance $r \in \mathbb{R}$ towards $p$ is given by
>
> $$
>   E_P(t) =  E_0 k e^{-i \omega t} \int_D \frac{1}{2 r r'} (1 + \cos \theta) e^{ik (r+r')} dA,
> $$
>
> for all $t \in \mathbb{R}$ with $E_0 \in \mathbb{R}$, $k \in \mathbb{R}$ the wavenumber of the light, $\omega \in \mathbb{R}$ the angular frequency of the light and $\theta \in [0, 2\pi)$ the angle between the source, aperture and perceive point.

??? note "*Proof*:"

    Will be added later.

<br>

> *Law*: for two complementary apertures that when taken together form a single opaque screen. Let $E_1$ and $E_2$ be the field at point $P$ for each aperture respectively. Then the combination of these fields must give the unubstructed wave $E_0$. Therefore
>
> $$
>   E_0 = E_1 + E_2.
> $$

??? note "*Proof*:"

    Will be added later.

## Fraunhofer diffraction

The above law for the diffraction at a perceive point $P$ can be simplified under certain conditions such that the integral can be solved easier. 

> *Corollary*: for small angles between the source, aperture and perceive point $\theta$, implying that source and perceive points are far away and the aperture opening is small then in reasonable approximation the net disturbance $E_P: \mathbb{R} \to \mathbb{R}$ at the perceive point may be given by
>
> $$
>   E_P = E_0 \int_D e^{ikr}dA,
> $$
>
> with $E_0 \in \mathbb{R}$ and $k \in \mathbb{R}$ the wavenumber. Under the condition that
>
> $$
>   r >> \frac{h^2}{2\lambda},
> $$
>
> with $h \in \mathbb{R}$ the height of the aperture and $\lambda \in \mathbb{R}$ the wavelength of the light. 

??? note "*Proof*:"

    Will be added later.

From this simplification the net disturbance caused by several apertures can be derived, given in the corollaries below. 

> *Corollary*: the net disturbance $E: \mathbb{R} \to \mathbb{R}$ of the eletric field for a single slit aperture is given by
>
> $$
>   E(\theta) = E_0 \text{ sinc } \beta(\theta),
> $$
>
> for all $\theta \in \mathbb{R}$ with $\beta(\theta) = \frac{kb}{2} \sin \theta$ and $E_0, k, b \in \mathbb{R}$ the magnitude of the electric field, the wavenumber and the width of the slit.

??? note "*Proof*:"

    Will be added later.

<br>

> *Corollary*: the net disturbance $E: \mathbb{R} \to \mathbb{R}$ of the eletric field for a rectangular aperture is given by
>
> $$
>   E(\theta, \varphi) = E_0 \text{ sinc } \alpha(\theta) \text{ sinc } \beta(\varphi),
> $$
>
> for all $(\theta, \varphi) \in \mathbb{R}^2$ with $\alpha(\theta) = \frac{ka}{2} \sin \theta$, $\beta(\varphi) = \frac{kb}{2} \sin \varphi$ and $E_0, k, a, b \in \mathbb{R}$ the magnitude of the electric field, the wavenumber, the height and the width of the rectangle.

??? note "*Proof*:"

    Will be added later.

<br>

> *Corollary*: the net disturbance $E: \mathbb{R} \to \mathbb{R}$ of the eletric field for a circular aperture is given by
>
> $$
>   E(\theta) = E_0 \frac{2 J_1(\sigma(\theta))}{\sigma(\theta)},
> $$
>
> for all $\theta \in \mathbb{R}^2$ with $J_1: \mathbb{R} \to \mathbb{R}$ the Bessel function of the first order, $\sigma(\theta) = \frac{kd}{2} \sin \theta$ and $E_0, k, d \in \mathbb{R}$ the magnitude of the electric field, the wavenumber and the diameter of the circle.

??? note "*Proof*:"

    Will be added later.

<br>

> *Corollary*: the net disturbance $E: \mathbb{R} \to \mathbb{R}$ of the eletric field for a $N$-slit aperture with $N \in \mathbb{N}$ is given by
>
> $$
>   E(\theta) = E_0 \text{ sinc } \beta(\theta) \frac{\sin N \gamma(\theta)}{N \sin \gamma(\theta)}
> $$
>
> for all $\theta \in \mathbb{R}$ with $\beta(\theta) = \frac{kb}{2} \sin \theta$, $\gamma(\theta) = \frac{kd}{2} \sin \theta$ and $E_0, k, d, b \in \mathbb{R}$ the magnitude of the electric field, the wavenumber, the distance between the slits and the width of the slits.

??? note "*Proof*:"

    Will be added later.

When taking $N \to \infty$ for the $N$-slits aperture and incidence is normal principal maxima are obtained for $\gamma(\theta) = m \pi$ with $m \in \mathbb{Z}$ therefore 

$$
    d \sin \theta = m \lambda,
$$

with $d, \lambda \in \mathbb{R}$ the distance between the slits and the wavelength of the light.

When incidence $\theta_i \in \mathbb{R}$ is not normal the principal maxima are given by

$$
    d (\sin \theta_i + \sin \theta) = m \lambda,
$$

also known as the grating equation.

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: two point sources given by the net disturbances of the eletric field $E_{1,2}: D \to \mathbb{R}$ with $D \subseteq \mathbb{R}$ such that $E_{1,2}$ are bijective can be resolved if they satisfy the Reyleigh criterion given by
>
> $$
>   \min E_2^{-1}(E_{02}) \geq \min E_1^{-1}(0),
> $$
>
> $$
>   \min E_1^{-1}(E_{01}) \geq \min E_2^{-1}(0),
> $$
>
> with $E_{0(1,2)} \in \mathbb{R}$ the eletric field amplitudes.

This definition will be used in the following propositions.

> *Proposition*: the chromatic resolving power $\mathcal{R}$ of a $N$-slit aperture based on the Reyleigh criterion can be determined by
> 
> $$
>   \mathcal{R} = N m,
> $$
>
> with $m \in \mathbb{Z}$ the order of the principal maxima and $N \in \mathbb{N}$ the number of slits.

??? note "*Proof*:"

    Will be added later.

<br>

> *Proposition*: the free spectral range $\text{FSR}$ of a $N$-slit aperture can be determined by
>
> $$
>   \text{FSR} = \frac{\lambda}m,
> $$
>
> with $m \in \mathbb{Z}$ the order and $\lambda \in \mathbb{R}$ the wavelength.

??? note "*Proof*:"

    Will be added later.