# Reflection and refraction

> *Definition*: light rays are perpendicular to electromagnetic wave fronts. 

Reflection and refraction occur whenever light rays enter into a new medium with index of refraction $n \in \mathbb{R}$. Reflection may be informally defined as the change of direction of the rays that stay within the initial medium. Refraction may be informally defined as the change of direction of the rays that transport to the other medium. 

> *Law*: the law of reflection states that the angle of reflection of a light ray equals the angle of incidence. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Law*: the law of refraction states that the angle of refraction $\theta_t \in [0, 2\pi)$ is related to the angle of incidence $\theta_i \in [0, 2\pi)$ by
>
> $$
>   n_i \sin \theta_i = n_t \sin \theta_t,
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. 

??? note "*Proof*:"

    Will be added later.

## Fresnel equations

In this section the fractions of reflected and transmitted power for specific electromagnetic waves will be derived. 

> *Lemma*: for the electric field perpendicular to the plane of incidence (s-polarisation) the Fresnel amplitude ratios for reflection $r_s \in [0,1]$ and transmission $t_s \in [0,1]$ are given by
>
> $$
> \begin{align*}
>   r_s &= \frac{n_i \cos \theta_i - n_t \cos \theta_t}{n_i \cos \theta_i + n_t \cos \theta_t}, \\
>   \\
>   t_s &= \frac{2 n_i \cos \theta_i}{n_i \cos \theta_i + n_t \cos \theta_t},
> \end{align*}
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium and $\theta_{i,t} \in [0, 2\pi)$ the angle of incidence and refraction.

??? note "*Proof*:"

    Will be added later.

<br>

> *Lemma*: for the electric field parallel to the plane of incidence (p-polarisation) the Fresnel amplitude ratios for reflection $r_p \in [0,1]$ and transmission $t_p \in [0,1]$ are given by
>
> $$
> \begin{align*}
>   r_p &= \frac{n_i \cos \theta_t - n_t \cos \theta_i}{n_i \cos \theta_t + n_t \cos \theta_i}, \\
>   \\
>   t_p &= \frac{2 n_i \cos \theta_i}{n_i \cos \theta_t + n_t \cos \theta_i},
> \end{align*}
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium and $\theta_{i,t} \in [0, 2\pi)$ the angle of incidence and refraction.

??? note "*Proof*:"

    Will be added later.

<br>

> *Law*: the fraction of the incident power that is reflected is called the reflectivity $R \in [0,1]$  and is given by
>
> $$
>   R = r^2,
> $$
>
> with $r \in [0, 1]$ the Fresnel amplitude ratio for reflection.

??? note "*Proof*:"

    Will be added later.

<br>

> *Law*: the fraction of the incident power that is transmitted is called the transmissivity $T \in [0,1]$ and is given by
>
> $$
>   T = \bigg(\frac{n_t \cos \theta_t}{n_i \cos \theta_i}\bigg) t^2 
> $$
>
> with $t \in [0, 1]$ the Fresnel amplitude ratio for transmission, $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium and $\theta_{i,t} \in [0, 2\pi)$ the angle of incidence and refraction.

??? note "*Proof*:"

    Will be added later.

<br>

## Limiting cases

> *Corollary*: we have $r_p = 0$ for an incident angle given by
>
> $$
>   \tan \theta_b = \frac{n_t}{n_i},
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. The angle $\theta_b$ is called the Brewster angle. 

??? note "*Proof*:"

    Will be added later.

Therefore we have for the Brewster angle the reflectivity equal to zero for p-polarisation. Such relation does not exist for s-polarisation.

> *Corollary*: we have $r_s = 1$ or total reflection for $n_i > n_t$ and an incident angle given by
>
> $$
>   \sin \theta_i > \frac{n_t}{n_i},
> $$
>
> with $n_{i,t} \in \mathbb{R}$ the index of refraction of the incident and transmitted medium. With
>
> $$
>   \sin \theta_c = \frac{n_t}{n_i},
> $$
>
> the critical angle. 

??? note "*Proof*:"

    Will be added later.

## Phase changes on reflection

> *Proposition*: a reflected light ray may obtain a phase shift if
>
> 1. for all incident angles and $n_i < n_t$ the reflected light ray is phase shifted by $\pi$,
> 2. for incident angles $\theta_i > \theta_c$ and $n_i > n_t$ the reflected light ray is not phase shifted,
> 3. the transmitted light ray is not phase shifted.

??? note "*Proof*:"

    Will be added later.

For incident angles $\theta_i < \theta_c$ and $n_i > n_t$ the phase shifts are complex.

## Dispersion

Will be added later.

## Scattering

Will be added later.