# Physics

Welcome to the physics page. Some special physical environments that will be used in this section are listed and explained below.

* *Principles*: a fundamental rule or concept in physics serving as a basis for reasoning. 
* *Assumptions*: a less fundamental rule or concept in physics that is taken to be true such that certain phenoma can be simplified. 
* *Definitions*: a precise and unambiguous description of the meaning of a physical term. It characterizes the meaning of a word by giving all the properties an only those properties that must be true.
* *Theorems*: a mathematical statement that is proved to be true using rigorous mathematical reasoning. In a mathematical text, the term theorem is often reserved for the most important results.
* *Laws*: a physical statement that is proved to be true, under the made assumptions and posed principles. In a physical text, the term law is often reserved for the most important results.
* *Propositions*: an often interesting result, but generally less important than a theorem or law.
* *Lemmas*: a minor result whose purpose is to help in proving a theorem or law. It is a stepping stone on the path to proving a theorem or law.
* *Corollaries*: a result in which the proof relies heavily on a given theorem or law.
* *Proofs*: a convincing argument that a certain physical statement is necessarily true. A proof generally uses deductive reasoning and logic but also contains some amount of ordinary language.

The physics sections of this wiki are based on various books and lectures. A comprehensive list of references can be found below.