# Amplitude modulation

> *Theorem*: a multiplication of two harmonic functions results in a sum of harmonics withh the sum and difference of the original frequencies. This is called *heterodyne*.

??? note "*Proof*:"

    Will be added later.

For example if we have a harmonic signal $m: \mathbb{R} \to \mathbb{R}$ with $\omega, A \in \mathbb{R}$ given by

$$
    m(t) = A \cos \omega t,
$$

for all $t \in \mathbb{R}$ and a harmonic carrier signal $c: \mathbb{R} \to \mathbb{R}$ with $\omega_c \in \mathbb{R}$ given by

$$
    c(t) = \cos \omega_c t.
$$

for all $t \in \mathbb{R}$. Then the multiplication of both is given by

$$
    m(t)c(t) = A \cos (\omega t) \cos (\omega_c t) = \frac{A}{2} \bigg(\cos t(\omega + \omega)c + \cos t(\omega - \omega_c) \bigg),
$$

obtaining heterodyne.

> *Definition*: amplitude modulation makes use of a harmonic carrier signal $c: \mathbb{R} \to \mathbb{R}$ with a reasonable angular frequency $\omega_c \in \mathbb{R}$ given by
> 
> $$
>   c(t) = \cos \omega_c t
> $$
> 
> for all $t \in \mathbb{R}$ to modulate a signal $m: \mathbb{R} \to \mathbb{R}$. 

<br>

> *Theorem*: For the case that the carrier signal is not additionaly transmitted we obtain
>
> $$
>   m(t) c(t) \overset{\mathcal{F}}\longleftrightarrow \frac{1}{2} \big(M(\omega + \omega_c) + M(\omega - \omega_c) \big),
> $$
>
> for all $t, \omega \in \mathbb{R}$. 
>
> For the case that the carrier signal is additionaly transmitted we obtain
>
> $$
>   m(t) (1 + c(t)) \overset{\mathcal{F}}\longleftrightarrow \frac{1}{2} \Big(M(\omega + \omega_c) + M(\omega - \omega_c) + \pi \big(\delta(\omega + \omega_c) + \delta(\omega - \omega_c) \big) \Big)
> $$
>
> for all $t, \omega \in \mathbb{R}$.
>
> Therefore multiple bandlimited signals can be transmitted simultaneously in frequency bands. 

??? note "*Proof*:"

    Will be added later.