# The discrete Fourier transform

> *Theorem*: sampling a signal with the impulse train makes the spectrum of the signal periodic.

??? note "*Proof*:"

    Will be added later.

A bandlimited signal implies that its frequency components are zero outside the bandwidth frequency interval.

> *Theorem*: if a signal has a bandwidth $\omega_b \in \mathbb{R}$ then it can be completely determined from its samples at a sampling frequency $\omega_s \in \mathbb{R}$ given by
>
> $$
>   \omega_s > 2 \omega_b.
> $$

??? note "*Proof*:"

    Will be added later.

When the sampling frequency does not comply to this statement, the reconstruction of the spectrum will exhibit imperfections known as aliasing. The critical value of the sampling frequency is known as the *Nyquist* frequency.

## The discrete time Fourier transform

> *Theorem*: let $f: \mathbb{R} \to \mathbb{C}$ be a signal with its sampled signal $f_s(t) = f(t) \delta_{T_s}(t)$ for all $t \in \mathbb{R}$ with sampling period $T_s \in \mathbb{R}$. Then the discrete time Fourier transform $F: \mathbb{R} \to \mathbb{C}$ of $f_s$ is given by
>
> $$
>   F(\Omega) = \sum_{m = -\infty}^\infty f[m] e^{-im\Omega},
> $$
>
> for all $\Omega \in \mathbb{R}$. With $\Omega = \omega T_s$ the dimensionless frequency and $F_s(\omega) := F(\Omega)$. 

??? note "*Proof*:"

    Will be added later.

## The discrete Fourier transform

> *Theorem*: let $f: \mathbb{R} \to \mathbb{C}$ be a signal and $f_N: \mathbb{R} \to \mathbb{C}$ the truncated signal of $f$ by $N \in \mathbb{N}$ given by
>
> $$
>   f_N[m] = \begin{cases} f[m] &\text{ if } m \in \{0, \dots, N - 1\}, \\ 0 &\text{ if } m \notin \{0, \dots, N - 1\}, \end{cases}
> $$
>
> sampled by $T_s \in \mathbb{R}$. Its discrete Fourier transform $F_N: \mathbb{R} \to \mathbb{C}$ is given by
>
> $$
>   F_N[k] = \sum_{m=0}^{N-1} f[m] \exp \bigg(-2\pi i \frac{km}{N} \bigg)
> $$
>
> for all $k \in \{0, \dots, N-1\}$. 

??? note "*Proof*:"

    Will be added later.

We have that $F_N[k] = F_N(k\Delta \omega)$ with $\Delta \omega = \frac{2\pi}{N T_s}$ the angular frequency resolution. 

> *Theorem*: let $F_N: \mathbb{R} \to \mathbb{C}$ be a spectrum of a signal truncated by $N \in \mathbb{N}$ then its inverse discrete Fourier transform $f_N: \mathbb{R} \to \mathbb{C}$ is given by
>
> $$
>   f[m] = \frac{1}{N} \sum_{k=0}^{N-1} F_N[k] \exp \bigg(2\pi i \frac{km}{N} \bigg)
> $$
>
> for all $m \in \{0, \dots, N - 1\}$. 

??? note "*Proof*:"

    Will be added later.

> *Definition*: therefore $f_N$ and $F_N$ with $N \in \mathbb{N}$ form a discrete Fourier transform pair denoted by
>
> $$
>   f_N \overset{\mathcal{DF}}\longleftrightarrow F_N,
> $$
>
> therefore we have
>
> $$
> \begin{align*}
>   &f_N[m] = \mathcal{DF}^{-1}[F_N[k]], \quad &\forall m \in  \{0, \dots, N - 1\}, \\
>   &F_N[k] = \mathcal{DF}[f[m]], \quad &\forall k \in \{0, \dots, N - 1\}.
> \end{align*}
> $$