# Curves

> *Definition*: a curve is a continuous vector-valued function of one real-valued parameter.
>
> * A closed curve $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ is defined by $\mathbf{c}(a) = \mathbf{c}(b)$ with $a \in \mathbb{R}$ the begin point and $b \in \mathbb{R}$ the end point.
> * A simple curve has no crossings.

<br>

> *Definition*: let $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ be a curve, the derivative of $\mathbf{c}$ is defined as the velocity of the curve $\mathbf{c}'$. The length of the velocity is defined as the speed of the curve $\|\mathbf{c}'\|$. 

<br>

> *Proposition*: let $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ be a curve, the velocity of the curve $\mathbf{c}'$ is tangential to the curve. 

??? note "*Proof*:"

    Will be added later.

<br>

> *Definition*: let $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ be a differentiable curve, the infinitesimal arc length $ds: \mathbb{R} \to \mathbb{R}$ of the curve is defined as
>
> $$
>   ds(t) := \|d \mathbf{c}(t)\| = \|\mathbf{c}'(t)\|dt
> $$
>
> for all $t \in \mathbb{R}$. 

<br>

> *Theorem*: let $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ be a differentiable curve, the arc length $s: \mathbb{R} \to \mathbb{R}$ of a section that start at $t_0 \in \mathbb{R}$ is given by
>
> $$
>   s(t) = \int_{t_0}^t \|\mathbf{c}'(u)\|du,
> $$
>
> for all $t \in \mathbb{R}$. 

??? note "*Proof*:"

    Will be added later.

## Arc length parameterization

To obtain a speed of unity everywhere on the curve, or differently put equidistant arc lengths between each time step an arc length parameterization can be performed. It can be performed in 3 steps:

1. For a given curve determine the arc length function for a given start point.
2. Find the inverse of the arc length function if it exists.
3. Adopt the arc length as variable of the curve.

Obtaining a speed of unity on the entire defined curve.

For example consider a curve $\mathbf{c}: \mathbb{R} \to \mathbb{R}^3$ given in Cartesian coordinates by

$$
    \mathbf{c}(\phi) = \begin{pmatrix} r \cos \phi \\ r \sin \phi \\ \rho r \phi\end{pmatrix},
$$

for all $\phi \in \mathbb{R}$ with $r, \rho \in \mathbb{R}^+$. 

Determining the arc length function $s: \mathbb{R} \to \mathbb{R}$ of the curve

$$
\begin{align*}
    s(\phi) &= \int_0^\phi \|\mathbf{c}'(u)\|du, \\
            &=  \int_0^\phi r \sqrt{1 + \rho^2}du, \\
            &= \phi r \sqrt{1 + \rho^2},
\end{align*}
$$

for all $\phi \in \mathbb{R}$. It may be observed that $s$ is a bijective mapping. 

The inverse of the arc length function $s^{-1}: \mathbb{R} \to \mathbb{R}$ is then given by

$$
    s^{-1}(\phi) = \frac{\phi}{r\sqrt{a + \rho^2}},
$$

for all $\phi \in \mathbb{R}$. 

The arc length parameterization $\mathbf{c}_s: \mathbb{R} \to \mathbb{R}^3$ of $\mathbf{c}$ is then given by

$$
    \mathbf{c}_s(\phi) = \mathbf{c}(s^{-1}(\phi)) = \begin{pmatrix} r \cos (\phi / r\sqrt{a + \rho^2}) \\ r \sin (\phi / r\sqrt{a + \rho^2}) \\ \rho \phi / \sqrt{a + \rho^2}\end{pmatrix},
$$

for all $\phi \in \mathbb{R}$. 